%define anolis_release 2
%global pypi_name cmarkgfm

Name:           python-%{pypi_name}
Version:        2024.1.14
Release: %{anolis_release}%{dist}

Summary:        Minimal bindings to GitHub's fork of cmark

License:        MIT
URL:            https://github.com/jonparrott/cmarkgfm
Source0:        https://github.com/theacodes/cmarkgfm/archive/refs/tags/%{version}.tar.gz
#https://github.com/theacodes/cmarkgfm/tree/master/third_party  (extensions and src)
Source1:        cmark.tar.gz

BuildRequires:  gcc

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
chmod -x README.rst LICENSE.txt
cd -
tar -xf %{SOURCE1} -C %{pypi_name}-%{version}/third_party

%build
%py3_build

%install
%py3_install

%generate_compatibility_deps

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%dir %{abidir}
%license LICENSE.txt
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/
%{abidir}/_cmark.abi3.dump

%files doc
%doc README.rst

%changelog
* Thu May 15 2025 wangce <wangce@uniontech.com> - 2024.1.14-2
- Update 2024.1.14 cmark-gfm(0.29.0.gfm.13)
- generate_compatibility_deps should not in check stage

* Thu Nov 14 2024 Wenlong Zhang <zhangwenlong@loongson.cn> 0.8.0-3
- generate_compatibility_deps should not in check stage

* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.8.0-2
- Rebuild with python3.11

* Mon Mar 27 2023 Heng Qi <hengqi@linux.alibaba.com> - 0.8.0-1
- Init package from upstream
